Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.AnnotationContext

- org.apache.groovy.parser.antlr4.GroovyParser.AnnotationContext

-     public static class GroovyParser.AnnotationContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AnnotationContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `AT()`
    `` | `public TerminalNode` | `LPAREN()`
    `` | `public TerminalNode` | `RPAREN()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public AnnotationNameContext` | `annotationName()`
    `` | `public ElementValuesContext` | `elementValues()`
    `` | `public int` | `getRuleIndex()`
    `` | `public NlsContext` | `nls()`

- - ### Constructor Detail

    - #### public AnnotationContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode AT()

    - #### public TerminalNode LPAREN()

    - #### public TerminalNode RPAREN()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public AnnotationNameContext annotationName()

    - #### public ElementValuesContext elementValues()

    - #### @Override
      public int getRuleIndex()

    - #### public NlsContext nls()